Debian Bug report logs - #57557
mc: mc hangs if i try to start it

version graph

Package: mc; Maintainer for mc is Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>; Source for mc is src:mc.

Reported by: greg@tenet.pl

Date: Tue, 8 Feb 2000 23:29:21 UTC

Severity: normal

Found in versions 4.5.42-7, 4.5.51-4

Fixed in version mc/4.5.51-13

Done: Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>:
Bug#57557; Package mc. Full text and rfc822 format available.

Acknowledgement sent to greg@tenet.pl:
New Bug report received and forwarded. Copy sent to Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: greg@tenet.pl
To: submit@bugs.debian.org
Subject: mc: mc hangs if i try to start it
Date: 7 Feb 2000 13:03:48 -0000
Package: mc
Version: 4.5.42-7
Severity: normal

When i try to start mc when i'm logged from console (and only then), mc hangs, and does no responce to anything.
This bug could be reproduced on two diffrend potato boxes.

If you wish, you may download ltrace's and strace's running result from ftp://ftp.tenet.pl/pub/bug/mc.*

regards,
  greg

-- System Information
Debian Release: 2.2
Kernel Version: Linux main 2.2.13 #2 SMP Sun Jan 30 12:26:02 CET 2000 i586 unknown

Versions of the packages mc depends on:
ii  libc6          2.1.2-13       GNU C Library: Shared libraries and Timezone
ii  libglib1.2     1.2.6-1        The GLib library of C routines
ii  libgpmg1       1.17.8-13      General Purpose Mouse Library [libc6]
ii  libncurses4    4.2-8          Shared libraries for terminal handling
ii  libpam0g       0.72-3         Pluggable Authentication Modules library
ii  mc-common      4.5.42-7       Common files for mc and gmc
ii  e2fsprogs      1.18-2         The EXT2 file system utilities and libraries
	^^^ (Provides virtual package libcomerr2)
ii  e2fsprogs      1.18-2         The EXT2 file system utilities and libraries
	^^^ (Provides virtual package libext2fs2)


Information forwarded to debian-bugs-dist@lists.debian.org, Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>:
Bug#57557; Package mc. Full text and rfc822 format available.

Acknowledgement sent to Robert Luberda <robert@pingu.ii.uj.edu.pl>:
Extra info received and forwarded to list. Copy sent to Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>. Full text and rfc822 format available.

Message #10 received at 57557@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@pingu.ii.uj.edu.pl>
To: Debian Bug Tracking System <57557@bugs.debian.org>
Subject: mc hangs because of deadlock.
Date: Fri, 22 Sep 2000 21:06:00 +0200
Package: mc
Version: 4.5.51-4

Hi!

I have noticed the same problem as submitter of #57557. mc hangs
when starting on console even a few times a day.
As subject says, I think this is caused by deadlock: both mc 
and cons.saver, which is spawned by mc, try to read from 
pipes at the same time.
 
See this:

bash-2.04$ ps lwp 2488 2495
  F   UID   PID  PPID PRI  NI   VSZ  RSS WCHAN  STAT TTY        TIME COMMAND
000  1000  2488   481   0   0  2376 1132 pipe_r S    vc/5       0:00 /usr/bin/mc
-P
100     0  2495  2488   0   0   988  340 pipe_r S    ?          0:00 cons.saver
/dev/vc/5
bash-2.04$ strace -p 2488
read(7,  <unfinished ...>
bash-2.04$ sudo strace -p 2495
read(0,  <unfinished ...>
bash-2.04$ ls -la /proc/2488/fd | grep pipe:
l-wx------    1 robert   staff          64 Sep 22 20:53 3 -> pipe:[5086]
l-wx------    1 robert   staff          64 Sep 22 20:53 6 -> pipe:[5095]
lr-x------    1 robert   staff          64 Sep 22 20:53 7 -> pipe:[5096]
bash-2.04$ sudo ls -la /proc/2495/fd | grep pipe:
lr-x------    1 root     staff          64 Sep 22 20:53 0 -> pipe:[5095]
l-wx------    1 root     staff          64 Sep 22 20:53 1 -> pipe:[5096]
l-wx------    1 root     staff          64 Sep 22 20:53 3 -> pipe:[5086]


read is <unfinished ...>, because I've interrupted both straces by
pressing Ctrl+C.



Regards,
	Robert


-- System Information
Debian Release: woody
Architecture: i386
Kernel: Linux vox 2.2.16+defvs #2 Sun Jul 2 23:24:58 CEST 2000 i586

Versions of packages mc depends on:
ii  e2fsprogs [libcomerr2]        1.19-2     The EXT2 file system utilities and
ii  e2fsprogs [libext2fs2]        1.19-2     The EXT2 file system utilities and
ii  libc6                         2.1.3-10   GNU C Library: Shared libraries an
ii  libglib1.2                    1.2.8-1    The GLib library of C routines    
hi  libgpmg1                      1.17.8-18  General Purpose Mouse Library [lib
ii  libncurses5                   5.0-7      Shared libraries for terminal hand
ii  libpam0g                      0.72-9     Pluggable Authentication Modules l
ii  mc-common                     4.5.51-4   Common files for mc and gmc       



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>:
Bug#57557; Package mc. Full text and rfc822 format available.

Acknowledgement sent to "Martin Bialasinski" <martin@internet-treff.uni-koeln.de>:
Extra info received and forwarded to list. Copy sent to Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>. Full text and rfc822 format available.

Message #15 received at 57557@bugs.debian.org (full text, mbox):

From: "Martin Bialasinski" <martin@internet-treff.uni-koeln.de>
To: 57557@bugs.debian.org
Subject: Fwd: mc bug #57557
Date: 28 Dec 2000 21:59:10 +0100
[Message part 1 (message/rfc822, inline)]
From: joern@heissler.de
To: martin@internet-treff.uni-koeln.de
Cc: greg@tenet.pl, robert@pingu.ii.uj.edu.pl
Subject: mc bug #57557
Date: Thu, 28 Dec 2000 15:13:40 +0100
I use the devfs. I had '57557', too.
Here's a fix, which works at least for me :-)

--- cons.saver.c.old	Mon Jul  3 16:32:11 2000
+++ cons.saver.c	Thu Dec 28 15:02:25 2000
@@ -175,7 +175,12 @@
 	!isdigit(tty_name[len - 1]))
 	return "Doesn't look like console";
 
-    snprintf (vcs_name, sizeof (vcs_name), "/dev/vcsa%s", tty_name + xlen - 1);
+    if(strncmp(tty_name+xlen-4,"tty",3) == 0 )
+	    snprintf (vcs_name, sizeof (vcs_name), "/dev/vcsa%s", tty_name + xlen - 1);
+    else if (strncmp(tty_name+xlen-4,"vc/",3) == 0)
+	    snprintf (vcs_name, sizeof (vcs_name), "/dev/vcc/a%s", tty_name + xlen - 1);
+    else return "vcsa failure <- change this to something useful!";
+    
     vcs_fd = check_file (vcs_name, 0, &msg);
     console_fd = check_file (tty_name, 1, &msg);
 




Reply sent to Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to greg@tenet.pl:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 57557-close@bugs.debian.org (full text, mbox):

From: Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>
To: 57557-close@bugs.debian.org
Subject: Bug#57557: fixed in mc 4.5.51-13
Date: Fri, 12 Jan 2001 15:00:59 -0500
We believe that the bug you reported is fixed in the latest version of
mc, which has been installed in the Debian FTP archive:

mc_4.5.51-13.diff.gz
  to pool/main/m/mc/mc_4.5.51-13.diff.gz
mc_4.5.51-13_i386.deb
  to pool/main/m/mc/mc_4.5.51-13_i386.deb
mc_4.5.51-13.dsc
  to pool/main/m/mc/mc_4.5.51-13.dsc
mc-common_4.5.51-13_i386.deb
  to pool/main/m/mc/mc-common_4.5.51-13_i386.deb
gmc_4.5.51-13_i386.deb
  to pool/main/m/mc/gmc_4.5.51-13_i386.deb
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 57557@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de> (supplier of updated mc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Thu, 11 Jan 2001 20:07:02 +0100
Source: mc
Binary: mc mc-common gmc
Architecture: source i386
Version: 4.5.51-13
Distribution: unstable
Urgency: high
Maintainer: Michael Bramer & Martin Bialasinski <mc-debian@internet-treff.uni-koeln.de>
Changed-By: Martin Bialasinski <martinb@debian.org>
Description: 
 gmc        - Midnight Commander - A powerful file manager. - Gnome version
 mc         - Midnight Commander - A powerful file manager. - normal version
 mc-common  - Common files for mc and gmc
Closes: 48523 57557 80544 81200
Changes: 
 mc (4.5.51-13) unstable; urgency=high
 .
   * Added libgnorba-dev to the build-depends. It is not pulled in by
     libgnome-dev on the m68k autobuilder, closes: #81200
   * Fixed dependancy on perl (lintian)
   * Fix for devfs in cons.saver, closes: #57557
   * Patch for proxy support in ftpfs from Mandrake
   * [gmc] Disabled checking of owner on file rename as a dirty fix
     closes: #80544
   * [gmc] Don't let the use confirm twice that he wants to exit,
     closes: #48523
   * Updated FAQ to reflect rename of mc mailinglists
   * Fix security bug using quick patch by Andrew V. Samoilov
     see http://www.securityfocus.com/vdb/?id=2016
   * Statoverride adaption
Files: 
 fea6bcb298395921d845ec0b5cc741b2 926 utils optional mc_4.5.51-13.dsc
 67020d2b2dc40f200dd066a154b29393 60354 utils optional mc_4.5.51-13.diff.gz
 21d8d14d16bd2773f1c1d88168352e22 391692 utils optional mc_4.5.51-13_i386.deb
 c709cfec185dd00051592fc3a729b636 1082664 utils optional gmc_4.5.51-13_i386.deb
 9fbb2ca74b08f4d553199b7833f2e3a0 1230326 utils optional mc-common_4.5.51-13_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBOl8PDXzgxeT40EqFAQHcngP/Yqv22sIGPWZ0qKqIFznoB1nT2KWRWzJY
4Y+u18d3vlFsQS43me1Y/XdEelk7gi4k6YbNmyXOd4cG8HIkTUq0gHnN2wEo6mfP
UBaRPoT4hY/3xbNkfwxXjv2AlA7GdF8Ng6QaLuYXY8zYSeM9vmF1+bISjIF1BkmN
S60U3jEnxAY=
=/iJM
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:01:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.